Bug 87779 - The document appears to be read-only after the last character by not ahead of it.
Summary: The document appears to be read-only after the last character by not ahead of...
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.0.1 rc
Hardware: x86-64 (AMD64) macOS (All)
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-28 00:32 UTC by Rohinton
Modified: 2016-05-09 20:08 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
sanitized writer file which exhibits problem. (26.16 KB, application/vnd.oasis.opendocument.text)
2014-12-28 00:32 UTC, Rohinton
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rohinton 2014-12-28 00:32:46 UTC
Created attachment 111412 [details]
sanitized writer file which exhibits problem.

I am unable to extend my file if I place the cursor after the last character in the file. LO complains that the document is read-only, however if I move my cursor along the line one char it allows inserting of chars.

I have attached a sanitized file, however the issue is slightly different in that the
Number of characters seems to vary from the end of file to where we can start inserting  into.

This file may have been reviewed with Word, and the reviewer or word I am not sure placed 'ticks' at certain places, which is part of the wingding font.
Comment 1 Cor Nouws 2014-12-28 10:42:44 UTC
Hi Rohinton,

thanks for the report and the test file!

When I open the file in 4.4.0.1 on Ubuntu, do Ctrl+End, I can simply type any text.
So if that is what you try too, I cannot confirm.

Best,
Cor
Comment 2 Rohinton 2014-12-28 22:55:28 UTC
Hi Cor,

I do have some images in the original maybe removing those changed the
structure?

And yes I see that I can extend that test file too, however when cleaning
it still had the problem.

However the issue still exists in the original. Here is what I can do.
I can mail you the file in question. If you can generate the test case
and keep it sanitized you are welcome to use it. If you cannot then you
will delete it.

Or give me instructions on what to extract from the file/zip and I can post
them here.

Regards,
Rohinton.
Comment 3 Cor Nouws 2014-12-29 07:55:25 UTC
Hi Rohinton,

So it looks as if you solved the problem, but do not know how ;) There seems to be some content in the original file, that prevents editing at the very last position...
It would be good to check with e.g. the Navigator for (read only)sections, or maybe there is a 'locked' image?

If you want to have further support, may I suggest that you first try the user support options listed here?
 http://www.libreoffice.org/get-help/community-support/

You may also send me the file - I can have a quick look.

I tend to resolve this issue as WorksForMe, but wait a little more..

Thanks,
Cor
Comment 4 Cor Nouws 2014-12-29 21:35:12 UTC
Hi Rohinton,

Thanks for sending.

Indeed there is some Wingdings character at the very end that has "read only" as comment at the status bar.
Honestly I would not know how that can be inserted there using Writer, other then cut&paste from else?

If you have any idea where it comes from, maybe that helps to find the origin of the problem. But it's definitely not a usual situation.

HTH,
Cor
Comment 5 Robinson Tryon (qubit) 2014-12-30 01:54:05 UTC
(In reply to Cor Nouws from comment #4)
> Indeed there is some Wingdings character at the very end that has "read
> only" as comment at the status bar.
> Honestly I would not know how that can be inserted there using Writer, other
> then cut&paste from else?

Sounds like that last piece is the important part. What happens in these cases:
1) Delete all of the document content except the last wingdings character?

2) Copy the last wingdings character into a new document?

Can you still reproduce the problem in those cases?  (if so, please upload a test document)

Status -> NEEDINFO
Comment 6 Rohinton 2014-12-30 05:45:38 UTC
Hi,

I tried to reduce this down to single character(s) file. The result
did not show the error. I wonder if the xml structure(s) can be
verified?

I am guessing that the way this got introduced is that my tutor
uses word for windows to review my work with that. He highlights
valid points with a tick, which is the wingding character being
used.

I can help with small things however I don't have time until after
Feb to put in serious effort.
Comment 7 Robinson Tryon (qubit) 2014-12-30 05:52:13 UTC
(In reply to Rohinton from comment #6)
> Hi,
> 
> I tried to reduce this down to single character(s) file. The result
> did not show the error.

Okay, that's useful information.

I suggest that you start by taking about half of the items out of the document and saving it as document-name_1, then test it. If you can still repro, then remove half more and save it as document-name_2, retest, and then try again.

If at any step your test document does not reproduce the problem, go back one level and remove fewer items/remove items from a different part of the file.

Hopefully that will get you to document that you feel is pared-down enough to upload here.
Comment 8 QA Administrators 2015-12-27 20:31:42 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least
6 months. Please provide the requested information as soon as
possible and mark the bug as UNCONFIRMED. Due to regular bug
tracker maintenance, if the bug is still in NEEDINFO status with
no change in 30 days the QA team will close the bug as INVALID
due to lack of needed information.

For more information about our NEEDINFO policy please read the
wiki located here:
https://wiki.documentfoundation.org/QA/Bugzilla/Fields/Status/NEEDINFO

If you have already provided the requested information, please
mark the bug as UNCONFIRMED so that the QA team knows that the
bug is ready to be confirmed.
 
Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team
Comment 9 QA Administrators 2016-05-09 20:08:33 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

This INVALID Message was generated on: 2016-05-09